<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Comment</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___clone" title="__clone ::Implement PHP __clone to create a deep clone, not just a shallow copy.">
            <span class="description">Implement PHP __clone to create a deep clone, not just a shallow copy.</span><pre>__clone</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Create a new Comment.">
            <span class="description">Create a new Comment.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method___toString" title="__toString ::Convert to string.">
            <span class="description">Convert to string.</span><pre>__toString</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getAlignment" title="getAlignment ::Get Alignment.">
            <span class="description">Get Alignment.</span><pre>getAlignment</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getAuthor" title="getAuthor ::Get Author.">
            <span class="description">Get Author.</span><pre>getAuthor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getFillColor" title="getFillColor ::Get fill color.">
            <span class="description">Get fill color.</span><pre>getFillColor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getHashCode" title="getHashCode ::Get hash code.">
            <span class="description">Get hash code.</span><pre>getHashCode</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getHeight" title="getHeight ::Get comment height (CSS style, i.e. XXpx or YYpt).">
            <span class="description">Get comment height (CSS style, i.e. XXpx or YYpt).</span><pre>getHeight</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getMarginLeft" title="getMarginLeft ::Get left margin (CSS style, i.e. XXpx or YYpt).">
            <span class="description">Get left margin (CSS style, i.e. XXpx or YYpt).</span><pre>getMarginLeft</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getMarginTop" title="getMarginTop ::Get top margin (CSS style, i.e. XXpx or YYpt).">
            <span class="description">Get top margin (CSS style, i.e. XXpx or YYpt).</span><pre>getMarginTop</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getText" title="getText ::Get Rich text comment.">
            <span class="description">Get Rich text comment.</span><pre>getText</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getVisible" title="getVisible ::Is the comment visible by default?">
            <span class="description">Is the comment visible by default?</span><pre>getVisible</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getWidth" title="getWidth ::Get comment width (CSS style, i.e. XXpx or YYpt).">
            <span class="description">Get comment width (CSS style, i.e. XXpx or YYpt).</span><pre>getWidth</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setAlignment" title="setAlignment ::Set Alignment.">
            <span class="description">Set Alignment.</span><pre>setAlignment</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setAuthor" title="setAuthor ::Set Author.">
            <span class="description">Set Author.</span><pre>setAuthor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setHeight" title="setHeight ::Set comment height (CSS style, i.e. XXpx or YYpt).">
            <span class="description">Set comment height (CSS style, i.e. XXpx or YYpt).</span><pre>setHeight</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setMarginLeft" title="setMarginLeft ::Set left margin (CSS style, i.e. XXpx or YYpt).">
            <span class="description">Set left margin (CSS style, i.e. XXpx or YYpt).</span><pre>setMarginLeft</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setMarginTop" title="setMarginTop ::Set top margin (CSS style, i.e. XXpx or YYpt).">
            <span class="description">Set top margin (CSS style, i.e. XXpx or YYpt).</span><pre>setMarginTop</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setText" title="setText ::Set Rich text comment.">
            <span class="description">Set Rich text comment.</span><pre>setText</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setVisible" title="setVisible ::Set comment default visibility.">
            <span class="description">Set comment default visibility.</span><pre>setVisible</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setWidth" title="setWidth ::Set comment width (CSS style, i.e. XXpx or YYpt).">
            <span class="description">Set comment width (CSS style, i.e. XXpx or YYpt).</span><pre>setWidth</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Comment</h1>
                <small style="display: block; text-align: right">                        Implements<a href="../classes/PhpOffice.PhpSpreadsheet.IComparable.html">\PhpOffice\PhpSpreadsheet\IComparable</a>                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___clone"></a>
                        <div class="element clickable methodpublic method___clone" data-toggle="collapse" data-target=".method___clone .collapse">
                            <h2>Implement PHP __clone to create a deep clone, not just a shallow copy.</h2>
                            <pre>__clone()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new Comment.</h2>
                            <pre>__construct()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method___toString"></a>
                        <div class="element clickable methodpublic method___toString" data-toggle="collapse" data-target=".method___toString .collapse">
                            <h2>Convert to string.</h2>
                            <pre>__toString(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getAlignment"></a>
                        <div class="element clickable methodpublic method_getAlignment" data-toggle="collapse" data-target=".method_getAlignment .collapse">
                            <h2>Get Alignment.</h2>
                            <pre>getAlignment(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getAuthor"></a>
                        <div class="element clickable methodpublic method_getAuthor" data-toggle="collapse" data-target=".method_getAuthor .collapse">
                            <h2>Get Author.</h2>
                            <pre>getAuthor(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getFillColor"></a>
                        <div class="element clickable methodpublic method_getFillColor" data-toggle="collapse" data-target=".method_getFillColor .collapse">
                            <h2>Get fill color.</h2>
                            <pre>getFillColor(): \PhpOffice\PhpSpreadsheet\Style\Color</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Color.html">\PhpOffice\PhpSpreadsheet\Style\Color</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getHashCode"></a>
                        <div class="element clickable methodpublic method_getHashCode" data-toggle="collapse" data-target=".method_getHashCode .collapse">
                            <h2>Get hash code.</h2>
                            <pre>getHashCode(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p><p>Hash code</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getHeight"></a>
                        <div class="element clickable methodpublic method_getHeight" data-toggle="collapse" data-target=".method_getHeight .collapse">
                            <h2>Get comment height (CSS style, i.e. XXpx or YYpt).</h2>
                            <pre>getHeight(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getMarginLeft"></a>
                        <div class="element clickable methodpublic method_getMarginLeft" data-toggle="collapse" data-target=".method_getMarginLeft .collapse">
                            <h2>Get left margin (CSS style, i.e. XXpx or YYpt).</h2>
                            <pre>getMarginLeft(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getMarginTop"></a>
                        <div class="element clickable methodpublic method_getMarginTop" data-toggle="collapse" data-target=".method_getMarginTop .collapse">
                            <h2>Get top margin (CSS style, i.e. XXpx or YYpt).</h2>
                            <pre>getMarginTop(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getText"></a>
                        <div class="element clickable methodpublic method_getText" data-toggle="collapse" data-target=".method_getText .collapse">
                            <h2>Get Rich text comment.</h2>
                            <pre>getText(): \PhpOffice\PhpSpreadsheet\RichText\RichText</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.RichText.RichText.html">\PhpOffice\PhpSpreadsheet\RichText\RichText</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getVisible"></a>
                        <div class="element clickable methodpublic method_getVisible" data-toggle="collapse" data-target=".method_getVisible .collapse">
                            <h2>Is the comment visible by default?</h2>
                            <pre>getVisible(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getWidth"></a>
                        <div class="element clickable methodpublic method_getWidth" data-toggle="collapse" data-target=".method_getWidth .collapse">
                            <h2>Get comment width (CSS style, i.e. XXpx or YYpt).</h2>
                            <pre>getWidth(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setAlignment"></a>
                        <div class="element clickable methodpublic method_setAlignment" data-toggle="collapse" data-target=".method_setAlignment .collapse">
                            <h2>Set Alignment.</h2>
                            <pre>setAlignment(string $alignment): \PhpOffice\PhpSpreadsheet\Comment</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$alignment</h4>
                                                <code>string</code><p><p>see Style\Alignment::HORIZONTAL_*</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Comment.html">\PhpOffice\PhpSpreadsheet\Comment</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setAuthor"></a>
                        <div class="element clickable methodpublic method_setAuthor" data-toggle="collapse" data-target=".method_setAuthor .collapse">
                            <h2>Set Author.</h2>
                            <pre>setAuthor(string $author): \PhpOffice\PhpSpreadsheet\Comment</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$author</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Comment.html">\PhpOffice\PhpSpreadsheet\Comment</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setHeight"></a>
                        <div class="element clickable methodpublic method_setHeight" data-toggle="collapse" data-target=".method_setHeight .collapse">
                            <h2>Set comment height (CSS style, i.e. XXpx or YYpt).</h2>
                            <pre>setHeight(string $value): \PhpOffice\PhpSpreadsheet\Comment</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Comment.html">\PhpOffice\PhpSpreadsheet\Comment</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setMarginLeft"></a>
                        <div class="element clickable methodpublic method_setMarginLeft" data-toggle="collapse" data-target=".method_setMarginLeft .collapse">
                            <h2>Set left margin (CSS style, i.e. XXpx or YYpt).</h2>
                            <pre>setMarginLeft(string $value): \PhpOffice\PhpSpreadsheet\Comment</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Comment.html">\PhpOffice\PhpSpreadsheet\Comment</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setMarginTop"></a>
                        <div class="element clickable methodpublic method_setMarginTop" data-toggle="collapse" data-target=".method_setMarginTop .collapse">
                            <h2>Set top margin (CSS style, i.e. XXpx or YYpt).</h2>
                            <pre>setMarginTop(string $value): \PhpOffice\PhpSpreadsheet\Comment</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Comment.html">\PhpOffice\PhpSpreadsheet\Comment</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setText"></a>
                        <div class="element clickable methodpublic method_setText" data-toggle="collapse" data-target=".method_setText .collapse">
                            <h2>Set Rich text comment.</h2>
                            <pre>setText(\PhpOffice\PhpSpreadsheet\RichText\RichText $pValue): \PhpOffice\PhpSpreadsheet\Comment</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.RichText.RichText.html">\PhpOffice\PhpSpreadsheet\RichText\RichText</a></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Comment.html">\PhpOffice\PhpSpreadsheet\Comment</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setVisible"></a>
                        <div class="element clickable methodpublic method_setVisible" data-toggle="collapse" data-target=".method_setVisible .collapse">
                            <h2>Set comment default visibility.</h2>
                            <pre>setVisible(boolean $value): \PhpOffice\PhpSpreadsheet\Comment</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Comment.html">\PhpOffice\PhpSpreadsheet\Comment</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setWidth"></a>
                        <div class="element clickable methodpublic method_setWidth" data-toggle="collapse" data-target=".method_setWidth .collapse">
                            <h2>Set comment width (CSS style, i.e. XXpx or YYpt).</h2>
                            <pre>setWidth(string $width): \PhpOffice\PhpSpreadsheet\Comment</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$width</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Comment.html">\PhpOffice\PhpSpreadsheet\Comment</a></code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_author"> </a>
                            <div class="element clickable propertyprivate property_author" data-toggle="collapse" data-target=".property_author .collapse">
                                <h2>Author.</h2>
                                <pre>author :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_text"> </a>
                            <div class="element clickable propertyprivate property_text" data-toggle="collapse" data-target=".property_text .collapse">
                                <h2>Rich text comment.</h2>
                                <pre>text :\PhpOffice\PhpSpreadsheet\RichText\RichText</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.RichText.RichText.html">\PhpOffice\PhpSpreadsheet\RichText\RichText</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_width"> </a>
                            <div class="element clickable propertyprivate property_width" data-toggle="collapse" data-target=".property_width .collapse">
                                <h2>Comment width (CSS style, i.e. XXpx or YYpt).</h2>
                                <pre>width :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_marginLeft"> </a>
                            <div class="element clickable propertyprivate property_marginLeft" data-toggle="collapse" data-target=".property_marginLeft .collapse">
                                <h2>Left margin (CSS style, i.e. XXpx or YYpt).</h2>
                                <pre>marginLeft :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_marginTop"> </a>
                            <div class="element clickable propertyprivate property_marginTop" data-toggle="collapse" data-target=".property_marginTop .collapse">
                                <h2>Top margin (CSS style, i.e. XXpx or YYpt).</h2>
                                <pre>marginTop :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_visible"> </a>
                            <div class="element clickable propertyprivate property_visible" data-toggle="collapse" data-target=".property_visible .collapse">
                                <h2>Visible.</h2>
                                <pre>visible :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_height"> </a>
                            <div class="element clickable propertyprivate property_height" data-toggle="collapse" data-target=".property_height .collapse">
                                <h2>Comment height (CSS style, i.e. XXpx or YYpt).</h2>
                                <pre>height :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_fillColor"> </a>
                            <div class="element clickable propertyprivate property_fillColor" data-toggle="collapse" data-target=".property_fillColor .collapse">
                                <h2>Comment fill color.</h2>
                                <pre>fillColor :\PhpOffice\PhpSpreadsheet\Style\Color</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Color.html">\PhpOffice\PhpSpreadsheet\Style\Color</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_alignment"> </a>
                            <div class="element clickable propertyprivate property_alignment" data-toggle="collapse" data-target=".property_alignment .collapse">
                                <h2>Alignment.</h2>
                                <pre>alignment :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Comment"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.html">PhpSpreadsheet</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Comment.html">Comment</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:47 +0000.<br/>
    </footer></body>
</html>
